@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&family=Caveat+Brush&family=Nanum+Brush+Script&display=swap');

@import "../variables";

.header {
  font-family: 'Caveat Brush', cursive; 
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 20px;
  padding: 30px 50px;
  background-color: $back-dark;
  color: $text-dark;
  max-height: 5vh;
  position: sticky;
  top: 0;
  z-index: 100;
  &.dark {
    background-color: $back-light;
    color: $text-light;
    &.scroll {
      transition: opacity ease-in 0.3s;
      background-color: rgba($back-light, 0.8);
      box-shadow: 5px 0px 5px 0px rgba($back-dark, 0.1);
    }
  }
  &.scroll {
    transition: opacity ease-in 0.3s;
    background-color: rgba($back-dark, 0.8);
    box-shadow: 3px 0px 3px 0px rgba($back-light, 0.05);
  }
}

.switchSection {
  display: flex;
  justify-content: center;
  align-items: center;
}

.switch {
  background: #343d5b;
  border-radius: 1000px;
  border: none;
  position: relative;
  cursor: pointer;
  display: flex;
  outline: none;
  margin: 0 10px;
  &::after {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    background: #f1f1f1;
    top: 0;
    left: 0;
    right: unset;
    border-radius: 100px;
    transition: 0.3s ease all;
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
  }
  &.active {
    background: $orange-color;
    color: #000;
    &::after {
      right: 0;
      left: unset;
    }
  }
}

.icon {
  width: 30px;
  height: 30px;
  line-height: 30px;
  display: block;
  background: none;
  color: #fff;
}

.link,
.home {
  margin-right: 20px;
  cursor: pointer;
  &:hover {
    color: $orange-color;
    font-weight: bold;
  }
  &.active {
    font-weight: bold;
    color: $orange-color;
  }
}



@media only screen and (max-width: 650px) {
  .textMode, .link {
    display: none;
  }
  .header {
    max-height: 10vh;
    font-size: 1.25rem;
  }

}
@media only screen and (min-width: 650px) {
  .textMode {
    display: block;
  }
  .header {
    justify-content: space-between;
    display: flex;
    align-items: center;
    padding: 30px 50px;
  }
}
@media only screen and (min-width: 768px) {
}
@media only screen and (min-width: 992px) {
}
@media only screen and (min-width: 1200px) {
}